SAVELOG(8)

IME
savelog - shrani datoteko dnevnika

POVZETEK
savelog [-m način] [-u uporabnik] [-g skupina] [-t] [-p] [-c cikel] [-l] [-j] [-C] [-d] [-l] [-r rolldir] [-n] [-q] [-D oblikadatuma] datoteka ...

OPIS
Ukaz savelog shrani in po želji stisne stare kopije datotek. Starejše različice file se imenujejo:
    file.<number><compress_suffix>
kjer je <number> številka različice, 0 predstavlja najnovejšo. Različice številka > 0 so stisnjene, razen če to prepreči -l. Različica številka 0 ni stisnjena, saj ima lahko opravilo file še vedno odprt za I/O. Samo cycle različic datoteke je ohranjenih. Če datoteka ne obstaja in je -t podan, bo ustvarjena. Za datoteke, ki obstajajo in imajo dolžino večjo od nič, so opravljena naslednja dejanja:

1)  Datoteke s številkami različic krožijo. Rezličica file.2 je premaknjena v različico file.3, različica file.1 je premaknjena v različico file.2, in tako naprej. Končno je različica file.0 premaknjena v različico file.1, in je različica file izbrisana. Tako stisnjena in ne stisnjena imena krožijo, ne glede na -l. Manjkajoče datoteke različic so prezrte.

2)  Nova file.1 je stisnjena, razen če je podana zastavica -l. Spremenjena je glede na zastavice -m, -u, in -g.

3)  Glavna file je premaknjena v file.0.

4)  Če so podane zastavice -m, -u, -g, -t, ali pa -p, je ustvarjena prazna file glede na podane zastavice. Z zastavico -p , je datoteka ustvarjena z enakim lastništvom, skupino in pravicami kot prej.

5)  Nova file.0 je spremenjena glede na zastavice -m, -u, in -g.

MOŽNOSTI

-m način
    chmod datoteke dnevnikov k danim pravicam, predpostavi -t

-u uporabnik
    chown datoteke dnevnikov k uporabniku, predpostavi -t

-g skupina
    chgrp datoteke dnevnikov k skupini, predpostavi -t

-c cycle
    Shrani krožne različice datoteke dnevnika (privzeto: 7). Število cycle datotek kroženja mora biti vsaj 2.

-t  ustvari "touch" novo datoteko dnevnika

-l  ne stiskaj datotek dnevnikov (privzeto: stiskaj)

-p  ohrani lastništvo, skupino in dovojenja datoteke dnevnika

-j  stisni z bzip2 namesto z gzip

-J  stisni z xz2 namesto z gzip Za xz možnost moči ni nastavljena. Privzeta možnost bo določena na osnovi celotne količine fizičnega RAM-a. Za višje ravni stiskanje lahko xz porabi zelo veliko količino pomnilnika.

-1 .. -9
    moč stiskanja ali poraba pomnilnika (privzeto: 9, razen za xz)

-C  prisili čiščenje krožnih datotek dnevnikov

-d  za obračanje uporabi standardni datum

-D oblika datuma
    prepiši obliko datuma z obliko zapisa [MMDDhhmm[[CC]YY][.ss]]

-r  uporabi rolldir namesto . za obračanje datotek

-n  ne vrti praznih datotek

-q  molči

HROŠČI
Podatki se lahko izgubijo, če opravilo še vedno piše v file.0 in jo savelog premakne v file.1 ter stisne.

OGLEJTE SI TUDI
logrotate(8)

TRANSLATION
This document is a translation. Regarding errors such as tihs one, contact <sl@li.org>,